services:
  paperless-ai:
    cap_drop:
    - ALL
    command:
    - ./start-services.sh
    container_name: paperless-ai
    entrypoint:
    - docker-entrypoint.sh
    environment:
      NODE_ENV: production
      NODE_VERSION: 22.16.0
      PAPERLESS_AI_PORT: '3000'
      PATH: /app/venv/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      PGID: '1000'
      PUID: '1000'
      YARN_VERSION: 1.22.22
    image: clusterzx/paperless-ai:latest
    networks:
    - bridge
    ports:
    - 3000:3000/tcp
    restart: unless-stopped
    security_opt:
    - no-new-privileges=true
    volumes:
    - paperless-ai_paperless-ai_data:/app/data:rw
    working_dir: /app
